package kaysaar.aotd_question_of_loyalty.data.console;

import kaysaar.aotd_question_of_loyalty.data.intel.AoTDCommIntelPlugin;
import org.lazywizard.console.CommandUtils;
import org.lazywizard.console.Console;
import org.jetbrains.annotations.NotNull;
import org.lazywizard.console.BaseCommand;

public class IncreasePoints implements BaseCommand
{
    public BaseCommand.CommandResult runCommand(@NotNull final String args, @NotNull final BaseCommand.CommandContext context) {
        if (args == null) {
            $$$reportNull$$$0(0);
        }
        if (context == null) {
            $$$reportNull$$$0(1);
        }
        if (context.isInCombat()) {
            Console.showMessage((Object)"Error: This command is campaign-only.");
            return BaseCommand.CommandResult.WRONG_CONTEXT;
        }
        if (!context.isInCampaign()) {
            Console.showMessage((Object)"Error: This command is campaign-only.");
            return BaseCommand.CommandResult.WRONG_CONTEXT;
        }
        if (args.isEmpty()) {
            return BaseCommand.CommandResult.BAD_SYNTAX;
        }
        if (!CommandUtils.isInteger(args)) {
            Console.showMessage((Object)"Error: credit amount must be a whole number!");
            return BaseCommand.CommandResult.BAD_SYNTAX;
        }
        final int amount = Integer.parseInt(args);
        if (AoTDCommIntelPlugin.get() == null) {
            Console.showMessage((Object)"You are not commissioned");
            return BaseCommand.CommandResult.ERROR;
        }
        if (amount >= 0) {
            final int am2 = Math.min(AoTDCommIntelPlugin.get().getProgress() + amount, AoTDCommIntelPlugin.get().getMaxProgress());
            AoTDCommIntelPlugin.get().setProgress(am2);
            Console.showMessage("Currently having  " + CommandUtils.format(am2) + " points");
        }
        else {
            final int removed = Math.min(-amount, AoTDCommIntelPlugin.get().getProgress());
            AoTDCommIntelPlugin.get().setProgress(AoTDCommIntelPlugin.get().getProgress() - removed);
            Console.showMessage("Currently having " + CommandUtils.format(removed) + " points");
        }
        return BaseCommand.CommandResult.SUCCESS;
    }
    
    private static /* synthetic */ void $$$reportNull$$$0(final int n) {
        final String format = "Argument for @NotNull parameter '%s' of %s.%s must not be null";
        final Object[] args = new Object[3];
        switch (n) {
            default: {
                args[0] = "args";
                break;
            }
            case 1: {
                args[0] = "context";
                break;
            }
        }
        args[1] = "kaysaar/aotd_question_of_loyalty/data/console/IncreasePoints";
        args[2] = "runCommand";
        throw new IllegalArgumentException(String.format(format, args));
    }
}
